diff --git a/base/common/src/com/netscape/cms/servlet/cert/DisableEnrollResult.java b/base/common/src/com/netscape/cms/servlet/cert/DisableEnrollResult.java
index 8794143fa5204c2f727ee0cbd6ff1a83e67f4280..4b195c2824bcea063b5d587bfc5d69e3aa42114d 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DisableEnrollResult.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DisableEnrollResult.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.cms.authentication.HashAuthentication;
@@ -70,7 +71,7 @@ public class DisableEnrollResult extends CMSServlet {
         // coming from agent
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     protected CMSRequest newCMSRequest() {
@@ -97,7 +98,7 @@ public class DisableEnrollResult extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -113,7 +114,7 @@ public class DisableEnrollResult extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getLogMessage("CMSGW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -127,7 +128,7 @@ public class DisableEnrollResult extends CMSServlet {
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -158,15 +159,15 @@ public class DisableEnrollResult extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java b/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
index 1b7524e198ddb91be6c3d0134c97e393fb0ec86a..da7f01ca531a5b9ea58ba206b8126a63f624b018 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
@@ -53,6 +53,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.ICertPrettyPrint;
 import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.EDBRecordNotFoundException;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -119,7 +120,7 @@ public class DisplayBySerial extends CMSServlet {
 
         // override success and error templates to null -
         // handle templates locally.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -154,7 +155,7 @@ public class DisplayBySerial extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
@@ -204,10 +205,10 @@ public class DisplayBySerial extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java b/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
index 73b6e84565125fcfb7488d3ea828e9fd635d5c83..3c9d5778cbc0dd94e159f04bdc31ad9dd27e8ed3 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
@@ -40,6 +40,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.ICRLPrettyPrint;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.dbs.crldb.ICRLRepository;
 import com.netscape.certsrv.logging.ILogger;
@@ -91,7 +92,7 @@ public class DisplayCRL extends CMSServlet {
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -121,7 +122,7 @@ public class DisplayCRL extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -157,7 +158,7 @@ public class DisplayCRL extends CMSServlet {
             } else {
                 resp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java b/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java
index e65082f4d6ff16abc8e5672195d25f9e4950e964..6c1d6f5f44d4c5253ba8a197c9d0dc8359aa2789 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.cms.authentication.HashAuthentication;
@@ -77,7 +78,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
         } catch (Exception e) {
         }
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     protected CMSRequest newCMSRequest() {
@@ -103,7 +104,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -113,7 +114,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_ERR_GET_TEMPLATE"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -130,7 +131,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
 
         if (!isEnable) {
             printError(cmsReq, "0");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
 
@@ -145,7 +146,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
         else if (diff > timeout) {
             mgr.disable(reqHost);
             printError(cmsReq, "2");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
 
@@ -161,7 +162,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -170,15 +171,15 @@ public class DisplayHashUserEnroll extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_OUT_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
@@ -190,7 +191,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         header.addStringValue("authority", "Registration Manager");
         header.addStringValue("errorCode", errorCode);
         String formPath = TPL_ERROR_FILE;
@@ -205,7 +206,7 @@ public class DisplayHashUserEnroll extends CMSServlet {
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_GET_TEMPLATE", formPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -214,14 +215,14 @@ public class DisplayHashUserEnroll extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_BAD_SERV_OUT_STREAM", "", e.toString()));
 
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java b/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
index 8f88e0c0964786a6b73ba6fcfaf3c7697c978bbf..64a9856fc63f90caceb9134e26617cc6128487dc 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
@@ -54,6 +54,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -116,7 +117,7 @@ public class DoRevoke extends CMSServlet {
             mPublisherProcessor = ((ICertAuthority) mAuthority).getPublisherProcessor();
         }
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
@@ -228,7 +229,7 @@ public class DoRevoke extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
@@ -309,12 +310,12 @@ public class DoRevoke extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else if (!authorized) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java b/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
index 65abd8a2283215171484a39a3536f2070a620cd2..63806e659fbd182858077023de5354e991459924 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
@@ -48,6 +48,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.AuditFormat;
@@ -113,7 +114,7 @@ public class DoRevokeTPS extends CMSServlet {
         }
         mQueue = mAuthority.getRequestQueue();
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
         mRenderResult = false;
@@ -221,7 +222,7 @@ public class DoRevokeTPS extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
index cca8381fdf733e7ae4285889c595b6012b273a5e..142fea3c836f6d6939febb9e31d7815659eed2d9 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
@@ -43,6 +43,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.AuditFormat;
@@ -96,7 +97,7 @@ public class DoUnrevoke extends CMSServlet {
             mPublisherProcessor = ((ICertAuthority) mAuthority).getPublisherProcessor();
         }
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -167,7 +168,7 @@ public class DoUnrevoke extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
@@ -190,10 +191,10 @@ public class DoUnrevoke extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
index ff383bbb4cd4ad396e01620479a786553171ce29..0437a2e0eb558307573eeee356abf2f5e7147d4c 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
@@ -41,6 +41,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
@@ -99,7 +100,7 @@ public class DoUnrevokeTPS extends CMSServlet {
         }
         mQueue = mAuthority.getRequestQueue();
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mRenderResult = false;
     }
 
@@ -165,7 +166,7 @@ public class DoUnrevokeTPS extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 o_status = "status=3";
                 errorString = "error=unauthorized";
                 String pp = o_status + "\n" + errorString;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/EnableEnrollResult.java b/base/common/src/com/netscape/cms/servlet/cert/EnableEnrollResult.java
index 5adf9f9f1d2aed05127b3cb6e7cfb0e0edbf5696..4904ec9b73bac92df97315f2841edc57fa7d9485 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/EnableEnrollResult.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/EnableEnrollResult.java
@@ -36,6 +36,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.cms.authentication.HashAuthentication;
@@ -74,7 +75,7 @@ public class EnableEnrollResult extends CMSServlet {
         // coming from agent
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         random = new Random();
     }
 
@@ -102,7 +103,7 @@ public class EnableEnrollResult extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -118,7 +119,7 @@ public class EnableEnrollResult extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -132,7 +133,7 @@ public class EnableEnrollResult extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -169,15 +170,15 @@ public class EnableEnrollResult extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index a0f73d33be7bfa32d50ce83f46a5b3f356ffbfec..16e2ab840a08cff33ddfa2ef82a5dd03bbbaaed3 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -52,6 +52,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.KeyGenInfo;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -241,7 +242,7 @@ public class EnrollServlet extends CMSServlet {
             }
 
             // override success template to allow direct import of keygen certs.
-            mTemplates.remove(CMSRequest.SUCCESS);
+            mTemplates.remove(ICMSRequest.SUCCESS);
 
             try {
                 // determine the service ID for signed audit log messages
@@ -639,7 +640,7 @@ public class EnrollServlet extends CMSServlet {
 
         if (result.equals(IRequest.RES_ERROR)) {
 
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             cmsReq.setError(req.getExtDataInString(IRequest.ERROR));
             String[] svcErrors =
                     req.getExtDataInStringArray(IRequest.SVCERRORS);
@@ -757,7 +758,7 @@ public class EnrollServlet extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
 
                 // store a message in the signed audit log file
                 // (either an "admin" cert request for an admin certificate,
@@ -1362,7 +1363,7 @@ public class EnrollServlet extends CMSServlet {
             if (httpParams.getValueAsString(OLD_CERT_TYPE, null) != null) {
                 try {
                     renderServerEnrollResult(cmsReq);
-                    cmsReq.setStatus(CMSRequest.SUCCESS); // no default render
+                    cmsReq.setStatus(ICMSRequest.SUCCESS); // no default render
 
                     issuedCerts =
                             cmsReq.getIRequest().getExtDataInCertArray(
@@ -1382,7 +1383,7 @@ public class EnrollServlet extends CMSServlet {
                         audit(auditMessage);
                     }
                 } catch (IOException ex) {
-                    cmsReq.setStatus(CMSRequest.ERROR);
+                    cmsReq.setStatus(ICMSRequest.ERROR);
 
                     // (automated "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
@@ -1419,7 +1420,7 @@ public class EnrollServlet extends CMSServlet {
             }
 
             // service success
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             issuedCerts = req.getExtDataInCertArray(IRequest.ISSUED_CERTS);
 
             String initiative = null;
@@ -1457,7 +1458,7 @@ public class EnrollServlet extends CMSServlet {
             // return cert as mime type binary if requested.
             if (checkImportCertToNav(cmsReq.getHttpResp(),
                     httpParams, issuedCerts[0])) {
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
 
                 for (int i = 0; i < issuedCerts.length; i++) {
                     // (automated "agent" cert request processed - "accepted")
@@ -1480,7 +1481,7 @@ public class EnrollServlet extends CMSServlet {
                 cmsReq.setResult(issuedCerts);
                 renderTemplate(cmsReq, mEnrollSuccessTemplate,
                         mEnrollSuccessFiller);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
 
                 for (int i = 0; i < issuedCerts.length; i++) {
                     // (automated "agent" cert request processed - "accepted")
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java b/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
index 51b7f783fda5910eac788c3ee79928d48a89f759..2ea7da7c67e58765370eb4e66894da608ff52655 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
@@ -44,6 +44,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
@@ -101,7 +102,7 @@ public class GetBySerial extends CMSServlet {
 
         // override success and error templates to null -
         // handle templates locally.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         ICertificateAuthority mCa = (ICertificateAuthority) CMS.getSubsystem("ca");
         if (mCa == null) {
@@ -141,7 +142,7 @@ public class GetBySerial extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -159,7 +160,7 @@ public class GetBySerial extends CMSServlet {
                     CMS.getLogMessage("CMSGW_INVALID_SERIAL_NUMBER"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_INVALID_SERIAL_NUMBER")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -169,7 +170,7 @@ public class GetBySerial extends CMSServlet {
                     CMS.getLogMessage("CMSGW_CERT_SERIAL_NOT_FOUND_1", serialNo.toString(16)));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_CERT_SERIAL_NOT_FOUND", "0x" + serialNo.toString(16))));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -202,7 +203,7 @@ public class GetBySerial extends CMSServlet {
                                 CMS.getLogMessage("CMSGW_CERT_SERIAL_NOT_FOUND_1", serialNo.toString(16)));
                         cmsReq.setError(new ECMSGWException(
                                 CMS.getUserMessage("CMS_GW_CERT_SERIAL_NOT_FOUND", "0x" + serialNo.toString(16))));
-                        cmsReq.setStatus(CMSRequest.ERROR);
+                        cmsReq.setStatus(ICMSRequest.ERROR);
                         return;
                     }
                 }
@@ -245,7 +246,7 @@ public class GetBySerial extends CMSServlet {
                 try {
                     CMSTemplate form = getTemplate(mIETemplate, req, locale);
                     ServletOutputStream out = response.getOutputStream();
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                     response.setContentType("text/html");
                     form.renderOutput(out, argSet);
                     return;
@@ -265,7 +266,7 @@ public class GetBySerial extends CMSServlet {
 
             if (crmfReqId == null && checkImportCertToNav(
                     cmsReq.getHttpResp(), cmsReq.getHttpParams(), cert)) {
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
                 return;
             }
 
@@ -274,7 +275,7 @@ public class GetBySerial extends CMSServlet {
 
             cmsReq.setResult(certs);
 
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
 
             // XXX follow request in cert record to set certtype, which will
             // import cert only if it's client. For now assume "client" if
